### Hierarchy

- TableRowComponent

## Index

### Inputs

- enableSingleSelect
- expandable
- expanded
- model
- row
- selected
- selectionLabelColumn
- showSelectionColumn
- showSelectionColumnCheckbox
- size
- skeleton
- checkboxLabel
- expandButtonAriaLabel

### Outputs

- deselectRow
- expandRow
- rowClick
- selectRow

### Constructors

- constructor

### Properties

- _checkboxLabel
- _expandButtonAriaLabel
- deselectRow
- enableSingleSelect
- expandRow
- expandable
- expanded
- i18n
- model
- row
- rowClick
- selectRow
- selected
- selectionLabelColumn
- showSelectionColumn
- showSelectionColumnCheckbox
- size
- skeleton

### Accessors

- checkboxLabel
- expandButtonAriaLabel
- expandableRowClass
- isAccessible
- isParentRow
- parentRowClass
- selectableClass
- selectedClass

### Methods

- getCheckboxLabel
- getExpandButtonAriaLabel
- onHostClick
- onRowClick
- onSelectionChange

## Constructors

### constructor

- new TableRowComponent(i18n: I18n): TableRowComponent

- - Defined in src/table/body/table-row.component.ts:205

  #### Parameters

  - ##### i18n: I18n

  #### Returns TableRowComponent

## Properties

### Protected _checkboxLabel

_checkboxLabel: Overridable = this.i18n.getOverridable("TABLE.CHECKBOX_ROW")

- Defined in src/table/body/table-row.component.ts:204

### Protected _expandButtonAriaLabel

_expandButtonAriaLabel: Overridable = this.i18n.getOverridable("TABLE.EXPAND_BUTTON")

- Defined in src/table/body/table-row.component.ts:205

### deselectRow

@Output()
deselectRow: EventEmitter<Object> = new EventEmitter()

- Defined in src/table/body/table-row.component.ts:166

### enableSingleSelect

@Input()
enableSingleSelect: boolean = false

- Defined in src/table/body/table-row.component.ts:113

### expandRow

@Output()
expandRow: EventEmitter<Object> = new EventEmitter()

- Defined in src/table/body/table-row.component.ts:171

### expandable

@Input()
expandable: boolean = false

- Defined in src/table/body/table-row.component.ts:101

### expanded

@Input()
expanded: boolean = false

- Defined in src/table/body/table-row.component.ts:99

### Protected i18n

i18n: I18n

- Defined in src/table/body/table-row.component.ts:207

### model

@Input()
model: TableModel

- Defined in src/table/body/table-row.component.ts:95

### row

@Input()
row: TableItem[]

- Defined in src/table/body/table-row.component.ts:97

### rowClick

@Output()
rowClick: EventEmitter<Object> = new EventEmitter()

- Defined in src/table/body/table-row.component.ts:178

### selectRow

@Output()
selectRow: EventEmitter<Object> = new EventEmitter()

- Defined in src/table/body/table-row.component.ts:161

### selected

@Input()
selected: boolean = false

- Defined in src/table/body/table-row.component.ts:103

### selectionLabelColumn

@Input()
selectionLabelColumn: number

- Defined in src/table/body/table-row.component.ts:154

### showSelectionColumn

@Input()
showSelectionColumn: boolean = true

- Defined in src/table/body/table-row.component.ts:136

### showSelectionColumnCheckbox

@Input()
showSelectionColumnCheckbox: boolean = true

- Defined in src/table/body/table-row.component.ts:142

### size

@Input()
size: TableRowSize = "md"

- Defined in src/table/body/table-row.component.ts:108

### skeleton

@Input()
skeleton: boolean = false

- Defined in src/table/body/table-row.component.ts:156

## Accessors

### checkboxLabel

@Input()
checkboxLabel:

- Defined in src/table/body/table-row.component.ts:125
- Defined in src/table/body/table-row.component.ts:129

### expandButtonAriaLabel

@Input()
expandButtonAriaLabel:

- Defined in src/table/body/table-row.component.ts:116
- Defined in src/table/body/table-row.component.ts:120

### expandableRowClass

@HostBinding({"hostPropertyName":"class.bx--expandable-row"})
expandableRowClass:

- Defined in src/table/body/table-row.component.ts:188

### isAccessible

@HostBinding({"hostPropertyName":"attr.tabindex"})
isAccessible:

- Defined in src/table/body/table-row.component.ts:200

### isParentRow

@HostBinding({"hostPropertyName":"attr.data-parent-row"})
isParentRow:

- Defined in src/table/body/table-row.component.ts:196

### parentRowClass

@HostBinding({"hostPropertyName":"class.bx--parent-row"})
parentRowClass:

- Defined in src/table/body/table-row.component.ts:184

### selectableClass

@HostBinding({"hostPropertyName":"class.tbody_row--selectable"})
selectableClass:

- Defined in src/table/body/table-row.component.ts:192

### selectedClass

@HostBinding({"hostPropertyName":"class.bx--data-table--selected"})
selectedClass:

- Defined in src/table/body/table-row.component.ts:180

## Methods

### getCheckboxLabel

- getCheckboxLabel(): Observable<string>

- - Defined in src/table/body/table-row.component.ts:228

  #### Returns Observable<string>

### getExpandButtonAriaLabel

- getExpandButtonAriaLabel(): Observable<string>

- - Defined in src/table/body/table-row.component.ts:232

  #### Returns Observable<string>

### onHostClick

@HostListener({"eventName":"click"})

- onHostClick(): void

- - Defined in src/table/body/table-row.component.ts:210

  #### Returns void

### onRowClick

- onRowClick(): void

- - Defined in src/table/body/table-row.component.ts:216

  #### Returns void

### onSelectionChange

- onSelectionChange(): void

- - Defined in src/table/body/table-row.component.ts:220

  #### Returns void

Generated using TypeDoc